Instalace php 5.6


#1

Zdravím,

mám ještě pár projektů nad touto verzí PHP, bohužel vše bez dockeru. Lze nainstalovat takto staré PHP na aktuální Fedoru? Pro Ubuntu jsou repozitáře od pana Surého, ale u Fedory nevím.

Našel jsem repozitář od Remiho, ale pro aktuální Fedoru tak staré PHP nemá. Abych pravdu řekl, kompilace ze zdrojáků se docela bojím kvůli závislostem.

Petr


#2

Podle výpisu balíčků Remiho repozitáře pro F28 by tam balíčky s PHP 5.6 měly být.
Nic jiného než Remiho repozitář mě nenapadá. Tady snad pomůže modularita, až někdo modul s PHP 5.6 udělá.


#3

Moc děkuju za odpověď. Nakonec se mi z remiho repozitáře povedlo php 5.6 nainstalovat a dokonce rozfungovat i xdebug, se kterým jsem měl na Fedoře při testování vždy problémy.

Kdyby někdo narazil na stejný problém, napsal jsem k tomu u sebe na webu malý návod.
https://petrhlozek.cz/jak-na-fungujici-xdebug-na-fedore-28/